Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 971308 - Support HTTP for kernel and initrd paths
Summary: Support HTTP for kernel and initrd paths
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt
Version: 7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Ján Tomko
QA Contact: lijuan men
URL:
Whiteboard:
Depends On: 1201198
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-06 09:10 UTC by Guohua Ouyang
Modified: 2017-10-17 15:20 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1201198 (view as bug list)
Environment:
Last Closed: 2017-10-17 15:20:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1054419 0 unspecified CLOSED RFE: Allow remote installs with remote download from URL 2021-02-22 00:41:40 UTC

Internal Links: 1054419

Comment 4 Michal Skrivanek 2013-06-07 07:18:37 UTC
so we can change the bug title to a request for support of http paths in libvirt, if reporter agrees?

Comment 10 Ján Tomko 2013-06-24 13:01:15 UTC
Unfortunately this won't be trivial to implement in libvirt, since QEMU doesn't support http paths.

With SELinux enabled, it's libvirt that fails trying to label the image.
But if it's disabled, QEMU fails with this error:
qemu: could not load kernel 'http://127.0.0.1/kernel': No such file or directory

Comment 17 Jiri Denemark 2014-04-04 21:37:44 UTC
This bug was not selected to be addressed in Red Hat Enterprise Linux 6. We will look at it again within the Red Hat Enterprise Linux 7 product.

Comment 19 Giuseppe Scrivano 2014-09-17 15:14:05 UTC
per comment 10, should this bug be cloned to QEMU?

Comment 25 Ján Tomko 2017-10-17 15:20:13 UTC
This has been open for years and there does not seem to be much demand for it.


Note You need to log in before you can comment on or make changes to this bug.